Bug 117502 - FILESAVE: Bullets points are smaller after RT
Summary: FILESAVE: Bullets points are smaller after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: imageHandling-regressions
  Show dependency treegraph
 
Reported: 2018-05-08 14:42 UTC by Xisco Faulí
Modified: 2018-05-29 14:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (14.77 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-05-08 14:42 UTC, Xisco Faulí
Details
bullets lost after RT (7.08 KB, application/rtf)
2018-05-08 16:11 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-05-08 14:42:18 UTC
Created attachment 141976 [details]
sample document

Steps to reproduce:
1. Open attached document
2. Save it as DOCX
3. Open the new document

-> The bullets are half of their original size

Reproduced in

Version: 6.1.0.0.alpha1+
Build ID: 1e2afc9bd3062cfba6b65b45c17a08f298014239
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-05-08 14:43:52 UTC
Regression introduced by:

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2018-02-21 20:15:21 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2018-02-25 08:09:56 +0100
commit	4256ffa959f994f0964f7391fad70df8a9c884f0 (patch)
tree	bf4bf55fa48f0e6af3093edf43d82c13a7f56615
parent	99223fc736c55cc1eb319ae1576b3998771e6b6f (diff)
fix import of graphic bullets
When changing to use "GraphicBitmap" property instead of
"ImageURL", the import wasn't adapted and there was no test which
would warn of such an situation. This also changes the difference
between writer and impress where impress used "Graphic" and not
"GraphicBitmap" property.

Also adds missing tests for both writer and impress

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tomaž Vajngerl
Comment 2 Xisco Faulí 2018-05-08 16:11:20 UTC
Created attachment 141979 [details]
bullets lost after RT

The bullets are lost after roundtrip with the following file...
Comment 3 Commit Notification 2018-05-20 03:19:51 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=486d340423f28c94348efb807e3364bc94b18105

tdf#117502 fix graphical bullets for OOXML and RTF

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-05-29 14:10:04 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Tomaž Vajngerl, thanks for fixing this!!